explain_execvp_or_die(3)

NAME
explain_execvp_or_die - execute a file and report errors

SYNOPSIS
#include <libexplain/execvp.h>

void explain_execvp_or_die(const char *pathname, char *const *argv);

DESCRIPTION
The explain_execvp_or_die function is used to call the execvp(3) system call. On failure an explanation will be printed to stderr, obtained from explain_execvp(3), and then the process terminates by calling exit(EXIT_FAILURE).

This function is intended to be used in a fashion similar to the following example:
    explain_execvp_or_die(pathname, argv);

pathname
    The pathname, exactly as to be passed to the execvp(3) system call.

argv
    The argv, exactly as to be passed to the execvp(3) system call.

Returns:
    This function only returns on success. On failure, prints an explanation and exits.

SEE ALSO

execvp(3)
    execute a file

explain_execvp(3)
    explain execvp(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version
Copyright (C) 2009 Peter Miller